## org.eclipse.ocl.expressions
Interface UnlimitedNaturalLiteralExp<C>

All Superinterfaces:
  ASTNode, EObject, LiteralExp<C>, Notifier, NumericLiteralExp<C>, OCLExpression<C>, PrimitiveLiteralExp<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  UnlimitedNaturalLiteralExp

All Known Implementing Classes:
  UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl

    public interface UnlimitedNaturalLiteralExp<C>

extends NumericLiteralExp<C>

A representation of the model object 'Unlimited Natural Literal Exp'.

The following features are supported:

- `Integer Symbol`
- `Unlimited`

See Also:
  `ExpressionsPackage.getUnlimitedNaturalLiteralExp()`

Field Summary
`static int` `UNLIMITED` Java value denoting the OCL unlimited value.

Method Summary
`boolean` `checkNaturalType(DiagnosticChain diagnostics, Map<Object,Object> context)` self.type.name = 'UnlimitedNatural'
`Integer` `getIntegerSymbol()` Returns the value of the 'Integer Symbol' attribute
`boolean` `isUnlimited()` Returns the value of the 'Unlimited' attribute
`void` `setIntegerSymbol(Integer value)` Sets the value of the '`Integer Symbol`' attribute

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### UNLIMITED

    static final int UNLIMITED

  Java value denoting the OCL unlimited value.

  See Also:
    Constant Field Values

Method Detail

### getIntegerSymbol

    Integer getIntegerSymbol()

  Returns the value of the 'Integer Symbol' attribute.

  If the meaning of the 'Integer Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Integer Symbol' attribute.
  See Also:
    `setIntegerSymbol(Integer)`, `ExpressionsPackage.getUnlimitedNaturalLiteralExp_IntegerSymbol()`

### setIntegerSymbol

    void setIntegerSymbol(Integer value)

  Sets the value of the '`Integer Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Integer Symbol' attribute.
  See Also:
    `getIntegerSymbol()`

### isUnlimited

    boolean isUnlimited()

  Returns the value of the 'Unlimited' attribute.

  If the meaning of the 'Unlimited' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unlimited' attribute.
  See Also:
    `ExpressionsPackage.getUnlimitedNaturalLiteralExp_Unlimited()`

### checkNaturalType

    boolean checkNaturalType(DiagnosticChain diagnostics,
                             Map<Object,Object> context)

  self.type.name = 'UnlimitedNatural'

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.